summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/lcdproc/lcdd
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-09 02:33:06 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-09 02:33:06 (GMT)
commit1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e (patch)
treef336ee91ce16c6591fff50340562e07e15aa1a55 /abs/mv-core/lcdproc/lcdd
parent75b1bceb21faab32d8f519d6f7f7062a226f9047 (diff)
downloadlinhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.zip
linhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.tar.gz
linhes_pkgbuild-1ba69cc033dfbd0a6c4c29c6d877c7e753f96e8e.tar.bz2
MythVantage specific pkgs
Diffstat (limited to 'abs/mv-core/lcdproc/lcdd')
-rwxr-xr-xabs/mv-core/lcdproc/lcdd38
1 files changed, 38 insertions, 0 deletions
diff --git a/abs/mv-core/lcdproc/lcdd b/abs/mv-core/lcdproc/lcdd
new file mode 100755
index 0000000..fa3547a
--- /dev/null
+++ b/abs/mv-core/lcdproc/lcdd
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/LCDd`
+case "$1" in
+ start)
+ stat_busy "Starting LCDd daemon"
+ [ -z "$PID" ] && /usr/sbin/LCDd -c /etc/LCDd.conf
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/lcdd.pid
+ add_daemon lcdd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping ProFTPd daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/lcdd.pid
+ rm_daemon lcdd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0